Bug 116387 - Autocorrect greek character σ (sigma) to ς (final sigma) when at the end of a word (τελικό σίγμα)
Summary: Autocorrect greek character σ (sigma) to ς (final sigma) when at the end of a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Auto-Correct-Complete
  Show dependency treegraph
 
Reported: 2018-03-13 20:05 UTC by vangelen
Modified: 2018-04-26 06:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vangelen 2018-03-13 20:05:18 UTC
Description:
 Essentialy an enhancement: 
how to add a feature that MS Office has to LibreOffice: in Greek the letter σ (which stands for s) when at the end of a word is automatically corrected to ς (known in Greek as "final s"). 
In Greek layout, σ is assigned to key S while ς is assigned to key W. The majority of users in Greece have learned to type on MS Word so W has become a somewhat dead key in Greek layout. Shaking the habit, even if someone decides to try and commit to it, can be tricky so adding this feature would boost ease of use for a big part of the Greek community.

Steps to Reproduce:
1. type any word in Greek ending in σ
2. be sure to type it using S key (corresponding to σ) not W key (which prints ς)


Actual Results:  
σ does not automatically change to ς

Expected Results:
σ should change to ς. They are essentially the same character, just the form changes when at the end of a word.


Reproducible: Always


User Profile Reset: No



Additional Info:
A workaround and a solution was provided on the IRC chat at #libreoffice by @cloph:

The workaround is to search for σ\b and replace with ς (with regular expressions enabled).

The solution is to add an autocorrect entry with .*σ with ς as replacement text.

Both work like a charm so I wanted to share with the community!


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Adolfo Jayme 2018-03-20 11:57:14 UTC
Thanks for your bug report, vangelen.

I’m CCing László, who is our expert in AutoCorrect.
Comment 2 László Németh 2018-04-24 07:32:01 UTC
Fix (soon in master): https://gerrit.libreoffice.org/#/c/53372/

Note: I have added also common Greek abbreviations as exceptions to the Sentence Capitalization Autocorrect feature based on https://blogs.transparent.com/greek/greek-abbreviations/. You can extend this list, if needed.

Vangelen, thanks for the bug report!
Comment 3 Commit Notification 2018-04-26 06:11:16 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ecc0cad3f0aeb1c7643fae7b414b1a2316ed59f

tdf#116387 Autocorrect greek character σ (sigma) to ς (final sigma)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.